Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.param
Class SetParameterTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.jpivot.param.SetParameterTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SetParameterTag

extends javax.servlet.jsp.tagext.TagSupport

looks for a http parameter with a certain name. If the parameter is present, the parameter is parsed and set into the MDX Query.

If a sessionParam is specified, its value is set into the MDX query.

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetParameterTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doEndTagHttp()`
`int` | `doEndTagSession()`
`int` | `doStartTag()`
`int` | `doStartTagHttp()`
`int` | `doStartTagSession()`
`void` | `setHttpParam(java.lang.String string)`
`void` | `setMdxParam(java.lang.String string)`
`void` | `setQuery(java.lang.String string)`
`void` | `setSessionParam(java.lang.String sessionParam)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetParameterTag

    public SetParameterTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doStartTagSession

    public int doStartTagSession()
                          throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doStartTagHttp

    public int doStartTagHttp()
                       throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTagSession

    public int doEndTagSession()
                        throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTagHttp

    public int doEndTagHttp()
                     throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setHttpParam

    public void setHttpParam(java.lang.String string)

### setMdxParam

    public void setMdxParam(java.lang.String string)

### setQuery

    public void setQuery(java.lang.String string)

### setSessionParam

    public void setSessionParam(java.lang.String sessionParam)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD